#!/usr/bin/env python
# -*- coding: utf-8 -*-


try:
    from setuptools import setup
except ImportError:
    from distutils.core import setup


with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = []

test_requirements = [
    # TODO: put package test requirements here
]

setup(
    name='ptm_annotator',
    version='0.2.0',
    description="PTM-annotator is an open source cross-platform Python library to annotate and graphically analyze PTM search results.",
    long_description=readme + '\n\n' + history,
    author="Amin A Momin",
    author_email='momin.amin@gmail.com',
    url='https://github.com/gtg269c/ptm-annotator',
    packages=[
        'ptm_annotator',
		],
	package_dir={'ptm_annotator':
                 'ptm_annotator'},
	include_package_data=True,
	install_requires=requirements,
	license="ISCL",
	zip_safe=False,
	keywords='ptm_annotator',
	classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: ISC License (ISCL)',
        'Natural Language :: English',
        "Programming Language :: Python :: 2",
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
    ],
    test_suite='tests',
    tests_require=test_requirements
)
